Zoey REST API reference ยท Interactive version: apidocs.zoey.com
POST https://container-url.zoeysite.com/api/rest/sales2/orders/shipment/comment
Example request body:
{
"shipmentIncrementId": "100000013",
"comment": "This is my test comment.",
"email": true,
"includeInEmail": true
}
POST https://container-url.zoeysite.com/api/rest/sales2/orders/shipment_tracking
Example request body:
{
"shipmentIncrementId": "100000020",
"carrier": "ups",
"title": "UPS",
"trackNumber": "90210"
}
Example response (Add Tracking), HTTP 200:
"15"
GET https://container-url.zoeysite.com/api/rest/sales2/orders/shipment_tracking_carriers
Get configured tracking shipment carriers.
POST https://container-url.zoeysite.com/api/rest/sales2/orders/shipment/attachments
Example request body:
{
"shipmentId": 344,
"attachments": [
{
"file_name": "attachment_5.jpg",
"file_mime_type": "image/png",
"file_content": "iVBORw0KGgo..."
}
]
}
DELETE https://container-url.zoeysite.com/api/rest/sales2/orders/shipment/attachments
Example request body:
{
"shipmentId": 345,
"attachmentId": 10
}
POST https://container-url.zoeysite.com/api/rest/sales2/orders/shipment
Creates a Shipment for the specified items.
** NOTE: ** All arguments need to be posted as they appear in the example. The arguments and the order they are in matter.
TrackingData
Example request body:
{
"orderIncrementId": "100002958",
"itemsQty": {
"60012": "1"
},
"comment": "Created By API",
"email": "1",
"includeComment": "1",
"tracking": [],
"extraData": {
"attachments": [
{
"file_name": "attachment_5.jpg",
"file_mime_type": "image/png",
"file_content": "iVBORw0KGgo..."
}
]
}
}
Example response (Create), HTTP 200:
"100000020"
POST https://container-url.zoeysite.com/api/rest/sales2/orders/shipment/void
Voids a shipment.
shipmentIncrementId: The increment ID of the shipment to void.
voidReason: Reason for voiding the shipment.
Example request body:
{
"shipmentIncrementId": "100004841",
"voidReason": "Testing void from the API."
}
Example response (Create), HTTP 200:
"100000020"
GET https://container-url.zoeysite.com/api/rest/sales2/orders/shipment?id=100000249
Query parameters:
| Name | Example | Notes |
|---|---|---|
id | 100000249 | Increment ID of shipment |
GET https://container-url.zoeysite.com/api/rest/sales2/orders/shipments?include_comments=1&include_tracking=1
Query parameters:
| Name | Example | Notes |
|---|---|---|
limit | 2 | Limit the amount of results returned. (Optional) |
page | 1 | Paginate the limit. (Optional) |
order[order_id] | ASC | Used to sort by property key / direction. (Optional) |
filters[order_id] | 41 | Used to filter results by property. (Optional) |
filters[total_qty][gt] | 1 | Qty Filtering Example |
include_comments | 1 | Include comments in the response. (Boolean Flag 1 or 0. Optional)
|
include_tracking | 1 | Include tracking in the response. (Boolean Flag 1 or 0. Optional)
|
GET https://container-url.zoeysite.com/api/rest/sales2/orders/shipment/print?id=100000003
Query parameters:
| Name | Example | Notes |
|---|---|---|
id | 100000003 | Increment ID of shipment |
GET https://container-url.zoeysite.com/api/rest/sales2/orders/shipment/email?id=100000003
Query parameters:
| Name | Example | Notes |
|---|---|---|
id | 100000003 | Increment ID of shipment |